public interface Meerestier {
    void einordnen(int regal);

    void ausraeumen();

    int gewicht();

    void abwiegen(int gewicht);

	void wirdAusgeborgtVon(Archiv a);

    //[fortgeschritten]
    void archivieren(Archiv a);
    //[fortgeschritten]
	void zurueckgeben();
}

class Koralle implements Meerestier {

    //private int gewicht = 1;
    private String name = "";
    private int regal = 0;

    public Koralle(String name, int regal, int gewicht) {
        this.name = name;
        this.regal = regal;
        //this.gewicht = gewicht;
    }

    public String toString() {
        return this.name + ", Regal " + this.regal + ", Gewicht " + this.gewicht() + "kg";
    }

    @Override
    public void einordnen(int regal) {
        this.regal = regal;
    }

    @Override
    public void ausraeumen() {
        this.einordnen(0);
    }

    @Override
    public int gewicht() {
        //return this.gewicht;
        return 1;
    }

    @Override
    public void abwiegen(int gewicht) {
        //haben immer 1kg
        //this.gewicht = 1;
    }

    @Override
    public void wirdAusgeborgtVon(Archiv a) {

    }

    @Override
    public void archivieren(Archiv a) {

    }

    @Override
    public void zurueckgeben() {

    }
}



class Fisch implements Meerestier {

    private int gewicht = 0;
    private String name = "";
    private int regal = 0;

    public Fisch(String name, int regal, int gewicht) {
        this.name = name;
        this.regal = regal;
        this.gewicht = gewicht;
    }

    public String toString() {
        return this.name + ", Regal " + this.regal + ", Gewicht " + this.gewicht() + "kg";
    }

    @Override
    public void einordnen(int regal) {
        this.regal = regal + 200;
    }

    @Override
    public void ausraeumen() {
        //this.einordnen(0);
        this.regal = 0;
    }

    @Override
    public int gewicht() {
        return this.gewicht;
    }

    @Override
    public void abwiegen(int gewicht) {
        this.gewicht = gewicht;
    }

    @Override
    public void wirdAusgeborgtVon(Archiv a) {

    }

    @Override
    public void archivieren(Archiv a) {

    }

    @Override
    public void zurueckgeben() {

    }
}



class Saeugetier implements Meerestier {

    private int gewicht = 0;
    private String name = "";
    private int regal = 0;

    public Saeugetier(String name, int regal, int gewicht) {
        this.name = name;
        this.regal = regal;
        this.gewicht = gewicht;
    }

    public String toString() {
        return this.name + ", Regal " + this.regal + ", Gewicht " + this.gewicht() + "kg";
    }

    @Override
    public void einordnen(int regal) {
        this.regal = regal + 100;
    }

    @Override
    public void ausraeumen() {
        //this.einordnen(0);
        //werden nicht ausgeraeumt
        this.regal = this.regal;
    }

    @Override
    public int gewicht() {
        return this.gewicht;
    }

    @Override
    public void abwiegen(int gewicht) {
        //werden in tonnen gewogen
        this.gewicht = gewicht * 1000;
    }

    @Override
    public void wirdAusgeborgtVon(Archiv a) {

    }

    @Override
    public void archivieren(Archiv a) {

    }

    @Override
    public void zurueckgeben() {

    }
}

class Schildkroete implements Meerestier {

    private int gewicht = 0;
    private String name = "";
    private int regal = 0;

    public Schildkroete(String name, int regal, int gewicht) {
        this.name = name;
        this.regal = regal;
        this.gewicht = gewicht;
    }

    public String toString() {
        return this.name + ", Regal " + this.regal + ", Gewicht " + this.gewicht() + "kg";
    }

    @Override
    public void einordnen(int regal) {
        this.regal = regal;
    }

    @Override
    public void ausraeumen() {
        this.einordnen(0);
    }

    @Override
    public int gewicht() {
        return this.gewicht;
    }

    @Override
    public void abwiegen(int gewicht) {
        this.gewicht = (int) (gewicht * 0.9);
    }

    @Override
    public void wirdAusgeborgtVon(Archiv a) {

    }

    @Override
    public void archivieren(Archiv a) {

    }

    @Override
    public void zurueckgeben() {

    }
}