import org.junit.Rule;
import org.junit.Test;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;

import org.junit.contrib.java.lang.system.StandardOutputStreamLog;
import org.junit.rules.Timeout;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

public class Aufgabe3Test {

    @Rule
    public final StandardOutputStreamLog log = new StandardOutputStreamLog();

    @Rule
    public Timeout globalTimeout = new Timeout(100);

    String init =
            "Hering, Regal 250, Gewicht 20kg\n" +
            "Walhai, Regal 280, Gewicht 2050kg\n" +
            "Kaiserfisch, Regal 1220, Gewicht 20kg\n" +
            "Meeresschildkroete, Regal 33, Gewicht 20kg\n" +
            "Wal, Regal 20004, Gewicht 20000kg\n" +
            "Lederkoralle, Regal 40, Gewicht 1kg\n" +
            "Feuerkoralle, Regal 41, Gewicht 1kg";

    String ausr =
            "Hering, Regal 0, Gewicht 20kg\n" +
            "Walhai, Regal 0, Gewicht 2050kg\n" +
            "Kaiserfisch, Regal 0, Gewicht 20kg\n" +
            "Meeresschildkroete, Regal 0, Gewicht 20kg\n" +
            "Wal, Regal 20004, Gewicht 20000kg\n" +
            "Lederkoralle, Regal 0, Gewicht 1kg\n" +
            "Feuerkoralle, Regal 0, Gewicht 1kg";

    String eino =
            "Hering, Regal 201, Gewicht 20kg\n" +
            "Walhai, Regal 202, Gewicht 2050kg\n" +
            "Kaiserfisch, Regal 203, Gewicht 20kg\n" +
            "Meeresschildkroete, Regal 4, Gewicht 20kg\n" +
            "Wal, Regal 105, Gewicht 20000kg\n" +
            "Lederkoralle, Regal 6, Gewicht 1kg\n" +
            "Feuerkoralle, Regal 7, Gewicht 1kg";

    String wieg =
            "Hering, Regal 201, Gewicht 23kg\n" +
            "Walhai, Regal 202, Gewicht 2100kg\n" +
            "Kaiserfisch, Regal 203, Gewicht 40kg\n" +
            "Meeresschildkroete, Regal 4, Gewicht 20kg\n" +
            "Wal, Regal 105, Gewicht 30000kg\n" +
            "Lederkoralle, Regal 6, Gewicht 1kg\n" +
            "Feuerkoralle, Regal 7, Gewicht 1kg";

    @Test
    public void test() throws Exception {
        Archiv a = Aufgabe3.createArchiv();
        assertEquals(init, a.toString());
        a.ausraeumen();
        assertEquals(ausr, a.toString());
        a.einordnen();
        assertEquals(eino, a.toString());
        a.neuWiegen(new int[]{23, 2100, 40, 23, 30, 3, 0});
        assertEquals(wieg, a.toString());
    }
}