import java.util.ArrayList;

public interface Archiv {
	void registrieren(Meerestier m);

	void ausraeumen();

	void einordnen();

	void neuWiegen(int gewicht[]);

	//[fortgeschritten]
	void ausborgen(Meerestier m);
}

class ArchivVerwaltung implements Archiv {

    ArrayList<Meerestier> archiv = new ArrayList<>();

    @Override
    public void registrieren(Meerestier m) {
        this.archiv.add(m);
    }

    @Override
    public void ausraeumen() {
        for (Meerestier elem : archiv) {
            //auszer Saeugetiere !!!
            elem.ausraeumen();
        }
    }

    @Override
    public void einordnen() {
        int counter = 1;
        for (Meerestier elem : archiv) {
            elem.einordnen(counter++);
        }
    }

    @Override
    public void neuWiegen(int[] gewicht) {
        int counter = 0;
        //Schildkroeten -10%
        for (Meerestier elem : archiv) {
            elem.abwiegen(gewicht[counter++]);
        }
    }

    @Override
    public void ausborgen(Meerestier m) {

    }

    public String toString() {
        String result = "";
        for (Meerestier elem : archiv) {
            result += elem.toString() + "\n";
        }
        return result.substring(0, result.length() - 1);
    }
}