public final class Hose implements Kleidungsstueck {
/*
Diese Klasse repraesentiert eine Hose die in Kleiderschrank verwendet wird.
Ist die uebergebene Konfektionsgroesse nicht richtig, wird eine InvalidClothSizeException geworfen
Ist die uebergebene Konfektionsgroesse keine ganze Zahl, wird eine NumberFormatExceptiong geworfen
 */

    // TODO: implement class
    private final String eignung;
    private final String konfektion;
    private final String nr;
    private String farbe;
    private final String shop;
    private final String bez;

/*
 * Ist die Eignung weiblich, darf die Konfektionsgroesse nur zwischen 32 und 46 sein
 * Bei maennlich und unisex darf die Konfektionsgroesse nur zwischen 44 und 56 sein
 */

    public Hose(String bez,String farbe,String shop, String nr,String eignung, String konfektion) throws InvalidClothSizeException,NumberFormatException {

        try{
            int i = Integer.parseInt(konfektion);
        }catch(NumberFormatException n){
            System.out.println("Konfektion ist keine ganze Zahl");
        }

        if(eignung == "weiblich"){
            if(!(Integer.parseInt(konfektion) >=32 && Integer.parseInt(konfektion) <=46)) {
                throw new InvalidClothSizeException("Unzulässige Groesse! Nur Konfektionsgroessen zwischen 32 und 46 erlaubt!");
            }
        }else{
            if(!(Integer.parseInt(konfektion) >=44 && Integer.parseInt(konfektion) <=56)) {
                throw new InvalidClothSizeException("Unzulässige Groesse! Nur Konfektionsgroessen zwischen 44 und 56 erlaubt!");
            }
        }

        this.eignung = eignung;
        this.konfektion = konfektion;
        this.farbe =farbe;
        this.shop = shop;
        this.nr = nr;
        this.bez = bez;

    }

    public String bezeichnung() {
        /* TODO: add code here */
        return this.bez;
    }

    public String farbe() {
        /* TODO: add code here */
        return this.farbe;
    }
/*
liefert den Shop zurueck, in dem die Hose gekauft wurde
 */
    public String shop(){
        /* TODO: add code here */
        return this.shop;
    }
/*
liefert die Artikelnummer der Hose zurueck
 */
    public String articleNr() {
        /* TODO: add code here */
        return this.nr;
    }

    public String konfektion() {
        /* TODO: add code here */
        return this.konfektion;
    }

    public String toString(){
        return "Hose: " + this.bez + ", "+ this.farbe + ", "+ this.shop+ ", "+this.nr+ ", "+this.eignung+", "+this.konfektion;
    }
    public int hashCode(){
        return this.shop.hashCode() +this.nr.hashCode();
    }

    public boolean equals(Object o){
        if(! (o instanceof Hose)){
            return false;
        }
        if(o==null )
            return false;

        if( this.getClass()==o.getClass()){
            Hose that=(Hose)o;
            return this.hashCode() == that.hashCode() &&this.shop().equals(that.shop) &&this.articleNr().equals(that.articleNr());

        }else{
            return false;
        }
    }
}
